Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06175 Misc. Minor Always Apr 7, 2016, 12:54 Apr 30, 2016, 13:19
Tester demotester View Status Public Platform MESS (Unofficial Binary)
Assigned To R. Belmont Resolution Fixed OS Windows XP
Status [?] Resolved Driver apple2.cpp
Version 0.172 Fixed in Version 0.173 Build Normal
Summary MESS-specific 06175: apple2jp: Ctrl-T = Inverse kana ?
Description http://www.neoncluster.com/projects-apple2/apple2-jpluschrom.html

On the above link are explaned 2 ways how to access the Japanese fonts:

One way is by using "CTRL T" and the other way is by using "POKE -16292,0" (as shown on below picture)

http://www.neoncluster.com/projects-apple2/apple2-jpluschrom_files/apple%20iij.jpg

But the POKE way seems does not work in MESS nor Agat Emulator! :(


So, the "CTRL T" works but with different result:

in MESS you get the inverse KANA and in Agat Emulator the normal KANA ???

It seems something might be wrong in MESS! (Note: yes, the apple2jp font seems already contains the inverted KANA!)


In Nick Westgate Notes (attached below) have found in the "Apple II j-plus F8 ROM Notes.txt" the following:

quote:
 "- katakana ctrl-T output toggling is implemented via the inverse mask byte at $32"

Hmm, is this might be missing, so the inverse KANA with ctrl-T in MESS ???


Other thing seems work different in both emus:

quote:
 "- in Applesoft, INVERSE selects kana, FLASH selects inverse kana, NORMAL selects ASCII"

and from the above quote is interesting: "FLASH selects inverse kana"... in both emus, when type the basic FLASH command, it will show the blinking text instead of the inverse kana ???
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems apple2jp
Attached Files
zip file icon Notes.zip (4,322 bytes) Apr 7, 2016, 12:54 Uploaded by demotester
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.12548
R. Belmont
Developer
Apr 23, 2016, 21:05
This is fixed: CTRL-T and the POKEs now work as described. One minor glitch in Nick's notes: in the video ROM notes he shows that there is no possible way to display plain inverse katakana, but the F8 ROM note says "FLASH" in BASIC with the katakana enable POKE shows inverse katakana. I believe this is a typo and he meant to say flashing katakana, which makes far more sense given the way the Apple II works, and so this is now also how MAME works. If someone can prove otherwise with hardware I'll be delighted to put in the necessary awful hack.
User avatar
No.12556
demotester
Tester
Apr 24, 2016, 20:49
edited on: Apr 24, 2016, 20:50
So, the mess will be the first emu that emulates j-plus correclty! (thx)

User avatar
No.12560
demotester
Tester
Apr 27, 2016, 12:14
edited on: Apr 27, 2016, 19:10
Hmm, tested on new official mame 0.173 and it seems the POKE -16292,0 still does not activate the KATAKANA font set !? (as described on links in Summary)

Btw. Ctrl-T works fine now! (Toggles between english and KATAKANA.)

And this also seems to work:
 "POKE -16291,0 activates inverse english text, turns KATAKANA off. Ctrl-T toggles between regular and inverse text."

+++++++++++++++++++++++++++++++++++++++++++++++++++++++
So, only POKE -16292,0 still does not activate the KATAKANA font set!?
+++++++++++++++++++++++++++++++++++++++++++++++++++++++

from Nick's F8 notes; quote: "when annunciator 2 is cleared ($C05C) katakana display is enabled".
(and $C05C is same as -16292, right?)

User avatar
No.12566
demotester
Tester
Apr 30, 2016, 13:19
edited on: Jul 21, 2016, 16:58
Maybe this should be reopened because the problem with POKE -16292,0 was not fixed! (or to open it in a new MT?)

EDIT: No, I incorrectly understood, now working properly:

1) POKE -16292,0 - activates the Katakana font set ... CTRL T -> Toogles between English and Katakana
2) POKE -16291,0 - activates the inverse English text ... CTRL T -> Toogles between regular and inverse text